## r-cran-rstantools 1.5.1

=== DESCRIPTION ===
Package: rstantools
Type: Package
Title: Tools for Developing R Packages Interfacing with 'Stan'
Version: 1.5.1
Date: 2018-08-20
Authors@R: c(person("Jonah", "Gabry", email = "jsg2201@columbia.edu",
                    role = c("aut", "cre")),
             person("Ben", "Goodrich", email = "benjamin.goodrich@columbia.edu",
                    role = "aut"),
             person("Stefan", "Siegert", role = "ctb"),
             person("Trustees of", "Columbia University", role = "cph"))
Maintainer: Jonah Gabry <jsg2201@columbia.edu>
Description: Provides various tools for developers of R packages interfacing
    with 'Stan' <http://mc-stan.org>, including functions to set up the required 
    package structure, S3 generics and default methods to unify function naming 
    across 'Stan'-based R packages, and vignettes with recommendations for 
    developers.
License: GPL (>= 3)
URL: http://discourse.mc-stan.org/, http://mc-stan.org/rstantools/
BugReports: https://github.com/stan-dev/rstantools/issues
Encoding: UTF-8
LazyData: true
SystemRequirements: pandoc
Imports: stats, utils
Suggests: bayesplot (>= 1.5.0), rstan (>= 2.17.2), rstanarm (>=
        2.17.4), shinystan (>= 2.4.0), loo (>= 2.0.0), testthat, covr,
        knitr, devtools, roxygen2 (>= 6.0.1), rmarkdown, rstudioapi,
        usethis (>= 1.3.0)
RoxygenNote: 6.0.1
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2018-08-20 23:21:54 UTC; jgabry
Author: Jonah Gabry [aut, cre],
  Ben Goodrich [aut],
  Stefan Siegert [ctb],
  Trustees of Columbia University [cph]
Repository: CRAN
Date/Publication: 2018-08-22 05:20:06 UTC

=== debian/changelog ===
r-cran-rstantools (1.5.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.0

 -- Andreas Tille <tille@debian.org>  Fri, 24 Aug 2018 07:52:57 +0200

r-cran-rstantools (1.5.0-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition

 -- Andreas Tille <tille@debian.org>  Sun, 03 Jun 2018 20:49:56 +0200

r-cran-rstantools (1.5.0-1) unstable; urgency=medium

  * Initial release (closes: #898815)

 -- Andreas Tille <tille@debian.org>  Wed, 16 May 2018 09:09:16 +0200

=== debian/control ===
Source: r-cran-rstantools
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rstantools
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rstantools.git
Homepage: https://cran.r-project.org/package=rstantools

Package: r-cran-rstantools
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: tools for developing GNU R packages interfacing with 'Stan'
 Provides various tools for developers of R packages interfacing
 with 'Stan' <http://mc-stan.org>, including functions to set up the required
 package structure, S3 generics and default methods to unify function naming
 across 'Stan'-based R packages, and vignettes with recommendations for
 developers.

## r-cran-rstantools 2.0.0

=== DESCRIPTION ===
Package: rstantools
Type: Package
Title: Tools for Developing R Packages Interfacing with 'Stan'
Version: 2.0.0
Date: 2019-09-13
Authors@R: 
    c(person(given = "Jonah",
             family = "Gabry",
             role = c("aut", "cre"),
             email = "jsg2201@columbia.edu"),
      person(given = "Ben",
             family = "Goodrich",
             role = "aut",
             email = "benjamin.goodrich@columbia.edu"),
      person(given = "Martin",
             family = "Lysy",
             role = "aut",
             email = "mlysy@uwaterloo.ca"),
      person(given = "Stefan",
             family = "Siegert",
             role = "ctb"),
      person(given = "Trustees of",
             family = "Columbia University",
             role = "cph"))
Description: Provides various tools for developers of R packages interfacing
    with 'Stan' <https://mc-stan.org>, including functions to set up the required 
    package structure, S3 generics and default methods to unify function naming 
    across 'Stan'-based R packages, and vignettes with recommendations for 
    developers.
License: GPL (>= 3)
URL: https://mc-stan.org/rstantools/, https://discourse.mc-stan.org/
BugReports: https://github.com/stan-dev/rstantools/issues
Encoding: UTF-8
LazyData: true
SystemRequirements: pandoc, C++14
Imports: stats, utils, Rcpp (>= 0.12.16), desc
Suggests: rstan (>= 2.17.2), usethis (>= 1.5.1), testthat (>= 2.0.0),
        knitr, pkgbuild, pkgload, roxygen2 (>= 6.0.1), rmarkdown,
        rstudioapi
RoxygenNote: 6.1.1
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2019-09-13 22:26:48 UTC; jgabry
Author: Jonah Gabry [aut, cre],
  Ben Goodrich [aut],
  Martin Lysy [aut],
  Stefan Siegert [ctb],
  Trustees of Columbia University [cph]
Maintainer: Jonah Gabry <jsg2201@columbia.edu>
Repository: CRAN
Date/Publication: 2019-09-15 00:10:05 UTC

=== debian/changelog ===
r-cran-rstantools (2.0.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * rename debian/tests/control.autodep8 to debian/tests/control
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database.
  * New Test-Depends: r-cran-usethis, r-cran-rstan

 -- Andreas Tille <tille@debian.org>  Tue, 17 Sep 2019 09:52:04 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,12 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
-               r-base-dev
-Standards-Version: 4.2.0
+               r-base-dev,
+               r-cran-rcpp (>= 0.12.16),
+               r-cran-desc
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rstantools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rstantools.git
 Homepage: https://cran.r-project.org/package=rstantools

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-usethis, r-cran-rstan
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/rstantools_([-\d.]*)\.tar\.gz

## r-cran-rstantools 2.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: rstantools
 Type: Package
 Title: Tools for Developing R Packages Interfacing with 'Stan'
-Version: 2.0.0
-Date: 2019-09-13
+Version: 2.1.1
+Date: 2020-07-05
 Authors@R: 
     c(person(given = "Jonah",
              family = "Gabry",
@@ -33,14 +33,14 @@
 Encoding: UTF-8
 LazyData: true
 SystemRequirements: pandoc, C++14
-Imports: stats, utils, Rcpp (>= 0.12.16), desc
+Imports: desc, stats, utils, Rcpp (>= 0.12.16), RcppParallel (>= 5.0.1)
 Suggests: rstan (>= 2.17.2), usethis (>= 1.5.1), testthat (>= 2.0.0),
         knitr, pkgbuild, pkgload, roxygen2 (>= 6.0.1), rmarkdown,
         rstudioapi
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2019-09-13 22:26:48 UTC; jgabry
+Packaged: 2020-07-06 12:41:29 UTC; jgabry
 Author: Jonah Gabry [aut, cre],
   Ben Goodrich [aut],
   Martin Lysy [aut],
@@ -48,4 +48,4 @@
   Trustees of Columbia University [cph]
 Maintainer: Jonah Gabry <jsg2201@columbia.edu>
 Repository: CRAN
-Date/Publication: 2019-09-15 00:10:05 UTC
+Date/Publication: 2020-07-06 16:10:03 UTC

=== debian/changelog ===
r-cran-rstantools (2.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Wed, 15 Jul 2020 08:29:28 +0200

r-cran-rstantools (2.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 06 Jun 2020 08:44:31 +0200

r-cran-rstantools (2.0.0-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-
    Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 23:31:18 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,17 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-desc,
                r-cran-rcpp (>= 0.12.16),
-               r-cran-desc
-Standards-Version: 4.4.0
+               r-cran-rcppparallel
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rstantools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rstantools.git
 Homepage: https://cran.r-project.org/package=rstantools
+Rules-Requires-Root: no
 
 Package: r-cran-rstantools
 Architecture: all

## r-cran-rstantools 2.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: rstantools
 Type: Package
 Title: Tools for Developing R Packages Interfacing with 'Stan'
-Version: 2.1.1
-Date: 2020-07-05
+Version: 2.2.0
+Date: 2022-04-05
 Authors@R: 
     c(person(given = "Jonah",
              family = "Gabry",
@@ -16,6 +16,15 @@
              family = "Lysy",
              role = "aut",
              email = "mlysy@uwaterloo.ca"),
+      person(given = "Andrew",
+             family = "Johnson",
+             role = "ctb"),
+      person(given = "Hamada S.",
+             family = "Badr",
+             role = "ctb"),
+      person(given = "Marco",
+             family = "Colombo",
+             role = "ctb"),
       person(given = "Stefan",
              family = "Siegert",
              role = "ctb"),
@@ -31,21 +40,23 @@
 URL: https://mc-stan.org/rstantools/, https://discourse.mc-stan.org/
 BugReports: https://github.com/stan-dev/rstantools/issues
 Encoding: UTF-8
-LazyData: true
 SystemRequirements: pandoc, C++14
 Imports: desc, stats, utils, Rcpp (>= 0.12.16), RcppParallel (>= 5.0.1)
 Suggests: rstan (>= 2.17.2), usethis (>= 1.5.1), testthat (>= 2.0.0),
         knitr, pkgbuild, pkgload, roxygen2 (>= 6.0.1), rmarkdown,
         rstudioapi
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2020-07-06 12:41:29 UTC; jgabry
+Packaged: 2022-04-06 15:50:19 UTC; jgabry
 Author: Jonah Gabry [aut, cre],
   Ben Goodrich [aut],
   Martin Lysy [aut],
+  Andrew Johnson [ctb],
+  Hamada S. Badr [ctb],
+  Marco Colombo [ctb],
   Stefan Siegert [ctb],
   Trustees of Columbia University [cph]
 Maintainer: Jonah Gabry <jsg2201@columbia.edu>
 Repository: CRAN
-Date/Publication: 2020-07-06 16:10:03 UTC
+Date/Publication: 2022-04-08 10:10:06 UTC

=== inst/include/sys/DESCRIPTION ===
Package: RStanTest
Type: Package
Title: What the Package Does (One Line, Title Case)
Version: 0.0.0.9000
Date: 2018-04-04
Authors@R: 
    person(given = "First",
           family = "Last",
           role = c("aut", "cre"),
           email = "first.last@example.com")
Description: What the package does (one paragraph).
License: What license it uses
Depends: R (>= 3.4.0)
Imports: Rcpp (>= 0.12.0), methods, rstan (>= 2.18.1), rstantools, RcppParallel (>= 5.0.1)
LinkingTo: StanHeaders (>= 2.18.0), rstan (>= 2.18.1), BH (>= 1.66.0), Rcpp (>= 0.12.0), RcppEigen (>= 0.3.3.3.0), RcppParallel (>= 5.0.1)
SystemRequirements: GNU make
Encoding: UTF-8
LazyData: true

=== debian/changelog ===
r-cran-rstantools (2.2.0-2) unstable; urgency=medium

  * Team Upload.
  * Add d/s/lintian-overrides for FP
  * Version B-D on cppparallel and test dep against rstan
    to rebuild against recompiled packages against onetbb
    Closes: #1013415

 -- Nilesh Patra <nilesh@debian.org>  Sun, 04 Sep 2022 11:38:05 +0530

r-cran-rstantools (2.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.2.0
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 28 May 2022 12:16:54 +0530

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
                r-base-dev,
                r-cran-desc,
                r-cran-rcpp (>= 0.12.16),
-               r-cran-rcppparallel
-Standards-Version: 4.5.0
+               r-cran-rcppparallel (>= 5.1.5+dfsg-3~)
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rstantools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rstantools.git
 Homepage: https://cran.r-project.org/package=rstantools

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-usethis, r-cran-rstan (>= 2.21.5-2~)
Restrictions: allow-stderr

## r-cran-rstantools 2.3.1

=== debian/changelog ===
r-cran-rstantools (2.3.1-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * Disable reprotest

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 27 Jun 2023 08:14:09 +0200

## r-cran-rstantools 2.4.0

=== debian/changelog ===
r-cran-rstantools (2.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Wed, 07 Feb 2024 08:41:03 +0900

r-cran-rstantools (2.3.1.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 28 Aug 2023 15:25:52 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                dh-r,
                r-base-dev,
                r-cran-desc,
-               r-cran-rcpp (>= 0.12.16),
-               r-cran-rcppparallel (>= 5.1.5+dfsg-3~)
-Standards-Version: 4.6.1
+               r-cran-rcpp,
+               r-cran-rcppparallel
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rstantools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rstantools.git
 Homepage: https://cran.r-project.org/package=rstantools

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-rstan (>= 2.17.2),
        r-cran-usethis (>= 1.5.1),
        r-cran-testthat (>= 2.0.0),
        r-cran-knitr,
        r-cran-pkgbuild,
        r-cran-pkgload,
        r-cran-roxygen2 (>= 6.0.1),
        r-cran-rmarkdown,
        r-cran-rstudioapi
Restrictions: allow-stderr

## r-cran-rstantools 2.6.0

=== debian/changelog ===
r-cran-rstantools (2.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 14 Jan 2026 17:58:15 +0900

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,10 @@
                r-base-dev,
                r-cran-desc,
                r-cran-rcpp,
-               r-cran-rcppparallel
-Standards-Version: 4.6.2
+               r-cran-rcppparallel,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rstantools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rstantools.git
 Homepage: https://cran.r-project.org/package=rstantools
